Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 6225)
@@ -104,13 +104,4 @@
     </Compile>
     <None Include="app.config" />
-    <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
-      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
-    </None>
-    <Compile Include="Properties\Settings.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DependentUpon>Settings.settings</DependentUpon>
-      <DesignTimeSharedInput>True</DesignTimeSharedInput>
-    </Compile>
   </ItemGroup>
   <ItemGroup>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs	(revision 6225)
@@ -31,10 +31,23 @@
       this.showToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.toolStripSeparator = new System.Windows.Forms.ToolStripSeparator();
+      this.homepageToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.mainTabControl = new System.Windows.Forms.TabControl();
+      this.tabSlaveView = new System.Windows.Forms.TabPage();
       this.slaveView = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveView();
+      this.tabLog = new System.Windows.Forms.TabPage();
+      this.logView = new HeuristicLab.Clients.Hive.SlaveCore.Views.LogView();
+      this.tabAbout = new System.Windows.Forms.TabPage();
+      this.aboutView = new HeuristicLab.Clients.Hive.SlaveCore.Views.AboutView();
       this.contextMenuNotifyIcon.SuspendLayout();
+      this.mainTabControl.SuspendLayout();
+      this.tabSlaveView.SuspendLayout();
+      this.tabLog.SuspendLayout();
+      this.tabAbout.SuspendLayout();
       this.SuspendLayout();
       // 
       // notifyIcon
       // 
+      this.notifyIcon.BalloonTipIcon = System.Windows.Forms.ToolTipIcon.Info;
       this.notifyIcon.BalloonTipText = "A client for computing jobs sent from HeuristicLab Hive";
       this.notifyIcon.BalloonTipTitle = "HeuristicLab Hive Slave";
@@ -43,4 +56,5 @@
       this.notifyIcon.Text = "HeuristicLab Hive Slave";
       this.notifyIcon.Visible = true;
+      this.notifyIcon.BalloonTipClicked += new System.EventHandler(this.notifyIcon_BalloonTipClicked);
       this.notifyIcon.DoubleClick += new System.EventHandler(this.notifyIcon_DoubleClick);
       // 
@@ -48,13 +62,15 @@
       // 
       this.contextMenuNotifyIcon.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.homepageToolStripMenuItem,
+            this.toolStripSeparator,
             this.showToolStripMenuItem,
             this.closeToolStripMenuItem});
       this.contextMenuNotifyIcon.Name = "contextMenuNotifyIcon";
-      this.contextMenuNotifyIcon.Size = new System.Drawing.Size(104, 48);
+      this.contextMenuNotifyIcon.Size = new System.Drawing.Size(210, 98);
       // 
       // showToolStripMenuItem
       // 
       this.showToolStripMenuItem.Name = "showToolStripMenuItem";
-      this.showToolStripMenuItem.Size = new System.Drawing.Size(103, 22);
+      this.showToolStripMenuItem.Size = new System.Drawing.Size(209, 22);
       this.showToolStripMenuItem.Text = "Show";
       this.showToolStripMenuItem.Click += new System.EventHandler(this.showToolStripMenuItem_Click);
@@ -63,8 +79,46 @@
       // 
       this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
-      this.closeToolStripMenuItem.Size = new System.Drawing.Size(103, 22);
+      this.closeToolStripMenuItem.Size = new System.Drawing.Size(209, 22);
       this.closeToolStripMenuItem.Text = "Close";
       this.closeToolStripMenuItem.Click += new System.EventHandler(this.closeToolStripMenuItem_Click);
       // 
+      // toolStripSeparator
+      // 
+      this.toolStripSeparator.Name = "toolStripSeparator";
+      this.toolStripSeparator.Size = new System.Drawing.Size(206, 6);
+      // 
+      // homepageToolStripMenuItem
+      // 
+      this.homepageToolStripMenuItem.ForeColor = System.Drawing.Color.Blue;
+      this.homepageToolStripMenuItem.Name = "homepageToolStripMenuItem";
+      this.homepageToolStripMenuItem.Size = new System.Drawing.Size(209, 22);
+      this.homepageToolStripMenuItem.Text = "Visit dev.heuristiclab.com";
+      this.homepageToolStripMenuItem.Click += new System.EventHandler(this.homepageToolStripMenuItem_Click);
+      // 
+      // mainTabControl
+      // 
+      this.mainTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.mainTabControl.Controls.Add(this.tabSlaveView);
+      this.mainTabControl.Controls.Add(this.tabLog);
+      this.mainTabControl.Controls.Add(this.tabAbout);
+      this.mainTabControl.Location = new System.Drawing.Point(12, 12);
+      this.mainTabControl.Name = "mainTabControl";
+      this.mainTabControl.SelectedIndex = 0;
+      this.mainTabControl.Size = new System.Drawing.Size(581, 303);
+      this.mainTabControl.TabIndex = 1;
+      // 
+      // tabSlaveView
+      // 
+      this.tabSlaveView.Controls.Add(this.slaveView);
+      this.tabSlaveView.Location = new System.Drawing.Point(4, 22);
+      this.tabSlaveView.Name = "tabSlaveView";
+      this.tabSlaveView.Padding = new System.Windows.Forms.Padding(3);
+      this.tabSlaveView.Size = new System.Drawing.Size(573, 277);
+      this.tabSlaveView.TabIndex = 0;
+      this.tabSlaveView.Text = "Overview";
+      this.tabSlaveView.UseVisualStyleBackColor = true;
+      // 
       // slaveView
       // 
@@ -74,9 +128,56 @@
       this.slaveView.Caption = "HeuristicLab Slave View";
       this.slaveView.Content = null;
-      this.slaveView.Location = new System.Drawing.Point(12, 12);
+      this.slaveView.Location = new System.Drawing.Point(6, 6);
       this.slaveView.Name = "slaveView";
       this.slaveView.ReadOnly = false;
-      this.slaveView.Size = new System.Drawing.Size(593, 430);
+      this.slaveView.Size = new System.Drawing.Size(561, 265);
       this.slaveView.TabIndex = 0;
+      // 
+      // tabLog
+      // 
+      this.tabLog.Controls.Add(this.logView);
+      this.tabLog.Location = new System.Drawing.Point(4, 22);
+      this.tabLog.Name = "tabLog";
+      this.tabLog.Padding = new System.Windows.Forms.Padding(3);
+      this.tabLog.Size = new System.Drawing.Size(573, 277);
+      this.tabLog.TabIndex = 1;
+      this.tabLog.Text = "Log";
+      this.tabLog.UseVisualStyleBackColor = true;
+      // 
+      // logView
+      // 
+      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.logView.Caption = "LogView: Displays logged messages from the slave core.";
+      this.logView.Content = null;
+      this.logView.Location = new System.Drawing.Point(7, 7);
+      this.logView.Name = "logView";
+      this.logView.ReadOnly = false;
+      this.logView.Size = new System.Drawing.Size(560, 264);
+      this.logView.TabIndex = 0;
+      // 
+      // tabAbout
+      // 
+      this.tabAbout.Controls.Add(this.aboutView);
+      this.tabAbout.Location = new System.Drawing.Point(4, 22);
+      this.tabAbout.Name = "tabAbout";
+      this.tabAbout.Size = new System.Drawing.Size(573, 277);
+      this.tabAbout.TabIndex = 2;
+      this.tabAbout.Text = "About HeuristicLab Hive";
+      this.tabAbout.UseVisualStyleBackColor = true;
+      // 
+      // aboutView
+      // 
+      this.aboutView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.aboutView.Caption = "AboutView: Shows some information about HeuristicLab Hive";
+      this.aboutView.Content = null;
+      this.aboutView.Location = new System.Drawing.Point(3, 3);
+      this.aboutView.Name = "aboutView";
+      this.aboutView.ReadOnly = false;
+      this.aboutView.Size = new System.Drawing.Size(567, 271);
+      this.aboutView.TabIndex = 0;
       // 
       // MainWindow
@@ -84,13 +185,16 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(617, 454);
-      this.Controls.Add(this.slaveView);
+      this.ClientSize = new System.Drawing.Size(605, 327);
+      this.Controls.Add(this.mainTabControl);
       this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
-      this.MaximizeBox = false;
       this.Name = "MainWindow";
       this.Text = "HeuristicLab Hive Slave View";
       this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.MainWindow_FormClosing);
       this.contextMenuNotifyIcon.ResumeLayout(false);
+      this.mainTabControl.ResumeLayout(false);
+      this.tabSlaveView.ResumeLayout(false);
+      this.tabLog.ResumeLayout(false);
+      this.tabAbout.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -104,4 +208,12 @@
     private System.Windows.Forms.ToolStripMenuItem showToolStripMenuItem;
     private System.Windows.Forms.ToolStripMenuItem closeToolStripMenuItem;
+    private System.Windows.Forms.TabControl mainTabControl;
+    private System.Windows.Forms.TabPage tabSlaveView;
+    private System.Windows.Forms.TabPage tabLog;
+    private System.Windows.Forms.TabPage tabAbout;
+    private Views.LogView logView;
+    private Views.AboutView aboutView;
+    private System.Windows.Forms.ToolStripSeparator toolStripSeparator;
+    private System.Windows.Forms.ToolStripMenuItem homepageToolStripMenuItem;
   }
 }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs	(revision 6225)
@@ -2,4 +2,5 @@
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.SlaveCore.Views;
+using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
 
 namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon {
@@ -8,5 +9,15 @@
     public SlaveItem Content {
       get { return slaveView.Content; }
-      set { slaveView.Content = value; }
+      set {
+        slaveView.Content = value;
+        logView.Content = value;
+        Content.UserVisibleMessageFired += new EventHandler<Common.EventArgs<string>>(Content_UserVisibleMessageFired);
+      }
+    }
+
+    void Content_UserVisibleMessageFired(object sender, Common.EventArgs<string> e) {
+      if (Settings.Default.ShowBalloonTips) {
+        notifyIcon.ShowBalloonTip(2000, "HeuristicLab Hive", e.Value, ToolTipIcon.Info);
+      }
     }
 
@@ -53,4 +64,14 @@
       }
     }
+
+    private void notifyIcon_BalloonTipClicked(object sender, EventArgs e) {
+      RestoreFromTray();
+    }
+
+    private void homepageToolStripMenuItem_Click(object sender, EventArgs e) {
+      System.Diagnostics.Process.Start("http://dev.heuristiclab.com");
+    }
+
+
   }
 }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.Designer.cs	(revision 6225)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.Designer.cs	(revision 6225)
@@ -0,0 +1,224 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  partial class AboutView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AboutView));
+      this.pictureBox1 = new System.Windows.Forms.PictureBox();
+      this.mailLinkLabel = new System.Windows.Forms.LinkLabel();
+      this.webLinkLabel = new System.Windows.Forms.LinkLabel();
+      this.label4 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.licenseTextBox = new System.Windows.Forms.RichTextBox();
+      this.txtCopyright = new System.Windows.Forms.TextBox();
+      this.versionTextBox = new System.Windows.Forms.TextBox();
+      this.productTextBox = new System.Windows.Forms.TextBox();
+      this.label3 = new System.Windows.Forms.Label();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label = new System.Windows.Forms.Label();
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // pictureBox1
+      // 
+      this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
+      this.pictureBox1.Location = new System.Drawing.Point(3, 3);
+      this.pictureBox1.Name = "pictureBox1";
+      this.pictureBox1.Size = new System.Drawing.Size(163, 165);
+      this.pictureBox1.TabIndex = 36;
+      this.pictureBox1.TabStop = false;
+      // 
+      // mailLinkLabel
+      // 
+      this.mailLinkLabel.AutoSize = true;
+      this.mailLinkLabel.Location = new System.Drawing.Point(241, 80);
+      this.mailLinkLabel.Name = "mailLinkLabel";
+      this.mailLinkLabel.Size = new System.Drawing.Size(129, 13);
+      this.mailLinkLabel.TabIndex = 34;
+      this.mailLinkLabel.TabStop = true;
+      this.mailLinkLabel.Text = "support@heuristiclab.com";
+      this.mailLinkLabel.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.mailLinkLabel_LinkClicked);
+      // 
+      // webLinkLabel
+      // 
+      this.webLinkLabel.AutoSize = true;
+      this.webLinkLabel.Location = new System.Drawing.Point(241, 61);
+      this.webLinkLabel.Name = "webLinkLabel";
+      this.webLinkLabel.Size = new System.Drawing.Size(135, 13);
+      this.webLinkLabel.TabIndex = 32;
+      this.webLinkLabel.TabStop = true;
+      this.webLinkLabel.Text = "http://dev.heuristiclab.com";
+      this.webLinkLabel.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.webLinkLabel_LinkClicked);
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(169, 80);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(47, 13);
+      this.label4.TabIndex = 33;
+      this.label4.Text = "Contact:";
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(169, 61);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(49, 13);
+      this.label2.TabIndex = 31;
+      this.label2.Text = "Website:";
+      // 
+      // licenseTextBox
+      // 
+      this.licenseTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.licenseTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.licenseTextBox.Location = new System.Drawing.Point(172, 100);
+      this.licenseTextBox.Name = "licenseTextBox";
+      this.licenseTextBox.ReadOnly = true;
+      this.licenseTextBox.Size = new System.Drawing.Size(380, 173);
+      this.licenseTextBox.TabIndex = 35;
+      this.licenseTextBox.Text = resources.GetString("licenseTextBox.Text");
+      this.licenseTextBox.WordWrap = false;
+      // 
+      // txtCopyright
+      // 
+      this.txtCopyright.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.txtCopyright.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.txtCopyright.Location = new System.Drawing.Point(244, 42);
+      this.txtCopyright.Name = "txtCopyright";
+      this.txtCopyright.ReadOnly = true;
+      this.txtCopyright.Size = new System.Drawing.Size(308, 13);
+      this.txtCopyright.TabIndex = 30;
+      this.txtCopyright.Text = "(c) 2002-2011 HEAL";
+      // 
+      // versionTextBox
+      // 
+      this.versionTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.versionTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.versionTextBox.Location = new System.Drawing.Point(244, 23);
+      this.versionTextBox.Name = "versionTextBox";
+      this.versionTextBox.ReadOnly = true;
+      this.versionTextBox.Size = new System.Drawing.Size(308, 13);
+      this.versionTextBox.TabIndex = 28;
+      // 
+      // productTextBox
+      // 
+      this.productTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.productTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.productTextBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.productTextBox.Location = new System.Drawing.Point(244, 4);
+      this.productTextBox.Name = "productTextBox";
+      this.productTextBox.ReadOnly = true;
+      this.productTextBox.Size = new System.Drawing.Size(308, 13);
+      this.productTextBox.TabIndex = 26;
+      this.productTextBox.Text = "HeuristicLab Hive";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(169, 42);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(54, 13);
+      this.label3.TabIndex = 29;
+      this.label3.Text = "Copyright:";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(169, 23);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(45, 13);
+      this.label1.TabIndex = 27;
+      this.label1.Text = "Version:";
+      // 
+      // label
+      // 
+      this.label.AutoSize = true;
+      this.label.Location = new System.Drawing.Point(169, 4);
+      this.label.Name = "label";
+      this.label.Size = new System.Drawing.Size(47, 13);
+      this.label.TabIndex = 25;
+      this.label.Text = "Product:";
+      // 
+      // AboutView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.pictureBox1);
+      this.Controls.Add(this.mailLinkLabel);
+      this.Controls.Add(this.webLinkLabel);
+      this.Controls.Add(this.label4);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.licenseTextBox);
+      this.Controls.Add(this.txtCopyright);
+      this.Controls.Add(this.versionTextBox);
+      this.Controls.Add(this.productTextBox);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.label);
+      this.Name = "AboutView";
+      this.Size = new System.Drawing.Size(559, 279);
+      this.Load += new System.EventHandler(this.AboutView_Load);
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.PictureBox pictureBox1;
+    private System.Windows.Forms.LinkLabel mailLinkLabel;
+    private System.Windows.Forms.LinkLabel webLinkLabel;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.RichTextBox licenseTextBox;
+    private System.Windows.Forms.TextBox txtCopyright;
+    private System.Windows.Forms.TextBox versionTextBox;
+    private System.Windows.Forms.TextBox productTextBox;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label;
+  }
+}
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.cs	(revision 6225)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/AboutView.cs	(revision 6225)
@@ -0,0 +1,73 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  [View("AboutView: Show some information about HeursticLab Hive")]
+  [Content(typeof(Item), IsDefaultView = true)]
+  public partial class AboutView : ItemView {
+    public new Item Content {
+      get { return (Item)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public AboutView() {
+      InitializeComponent();
+    }
+
+    #region Register Content Events
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+    }
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+    }
+    #endregion
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+      } else {
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+    }
+
+    private void AboutView_Load(object sender, System.EventArgs e) {
+      versionTextBox.Text = Assembly.GetExecutingAssembly().GetName().Version.ToString();
+    }
+
+    private void webLinkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start(webLinkLabel.Text);
+    }
+
+    private void mailLinkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start("mailto:" + mailLinkLabel.Text);
+    }
+  }
+}
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj	(revision 6225)
@@ -123,4 +123,16 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="AboutView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="AboutView.Designer.cs">
+      <DependentUpon>AboutView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="LogView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="LogView.Designer.cs">
+      <DependentUpon>LogView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Properties\Resources.Designer.cs">
       <AutoGen>True</AutoGen>
@@ -128,11 +140,11 @@
       <DependentUpon>Resources.resx</DependentUpon>
     </Compile>
-    <Compile Include="SlaveAboutDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="SlaveAboutDialog.Designer.cs">
-      <DependentUpon>SlaveAboutDialog.cs</DependentUpon>
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+      <DependentUpon>Settings.settings</DependentUpon>
     </Compile>
     <Compile Include="SlaveItem.cs" />
+    <None Include="app.config" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
     <None Include="HeuristicLabClientsHiveSlaveViewsPlugin.cs.frame" />
@@ -145,4 +157,8 @@
     <Compile Include="HeuristicLabClientsHiveSlaveViewsPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <None Include="Properties\Settings.settings">
+      <Generator>PublicSettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -156,10 +172,13 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="AboutView.resx">
+      <DependentUpon>AboutView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="LogView.resx">
+      <DependentUpon>LogView.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Properties\Resources.resx">
       <Generator>ResXFileCodeGenerator</Generator>
       <LastGenOutput>Resources.Designer.cs</LastGenOutput>
-    </EmbeddedResource>
-    <EmbeddedResource Include="SlaveAboutDialog.resx">
-      <DependentUpon>SlaveAboutDialog.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="SlaveView.resx">
